Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# QwtDialScaleDraw Class Reference

Inheritance diagram for QwtDialScaleDraw:

[legend]
Collaboration diagram for QwtDialScaleDraw:

[legend]
List of all members.

## Detailed Description

A special scale draw made for QwtDial

See also:
  QwtDial, QwtCompass

Definition at line 30 of file qwt_dial.h.

## Public Member Functions
| QwtDialScaleDraw (QwtDial *)
virtual QString | label (double value) const
void | showLabels (bool)
bool | visibleLabels () const
void | setPenWidth (uint)
uint | penWidth () const

## Constructor & Destructor Documentation

QwtDialScaleDraw::QwtDialScaleDraw | ( | QwtDial * | parent | ) |

  | Constructor Parameters:
  | parent | Parent dial widget
Definition at line 27 of file qwt_dial.cpp.

## Member Function Documentation

QString QwtDialScaleDraw::label | ( | double | value | ) | const`[virtual]`

  | Call QwtDial::scaleLabel of the parent dial widget. Parameters:
  | value | Value to display
See also: QwtDial::scaleLabel Reimplemented from QwtScaleDraw. Definition at line 85 of file qwt_dial.cpp. References QwtScaleDraw::label(), and QwtDial::scaleLabel().

uint QwtDialScaleDraw::penWidth | ( |  | ) | const

| Returns: Pen width used for painting the scale See also: setPenWidth, QwtDial::drawScale() Definition at line 73 of file qwt_dial.cpp. Referenced by QwtDial::drawScale().

void QwtDialScaleDraw::setPenWidth | ( | uint | penWidth | ) |

  | Set the pen width used for painting the scale Parameters:
  | penWidth | Pen width
See also: penWidth(), QwtDial::drawScale() Definition at line 64 of file qwt_dial.cpp. Referenced by QwtDial::setScaleTicks().

void QwtDialScaleDraw::showLabels | ( | bool | enable | ) |

| En/disable labels If labels are disabled, QwtDialScaleDraw::label returns always QString::null. Otherwise it calls QwtDial::scaleLabel of the parent dial. See also: QwtDialScaleDraw::visibleLabels Definition at line 43 of file qwt_dial.cpp. Referenced by QwtDial::setScaleOptions().

bool QwtDialScaleDraw::visibleLabels | ( |  | ) | const

| Return wether to display labels. See also: QwtDialScaleDraw::showLabels Definition at line 52 of file qwt_dial.cpp.